path: /build/build/cargo-c-dev-util-0.9.22.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/cargo-c -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/cargo-c
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/cargo-c && luet-portage --dir /pkgdir/cargo-c
    dev-util/cargo-c && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:67d84de88074f98947c18b40cb59ca3d6ce571c5243fdbed7ca083c5437fd420
  package:
    name: cargo-c
    version: 0.9.22
    category: dev-util
    requires:
    - name: yasm
      version: '>=0'
      category: dev-lang
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Cargo applet to build and install C-ABI compatible dynamic and static
      libraries
    uri:
    - https://github.com/lu-zero/cargo-c
    license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT Apache-2.0 Unlicense
      ZLIB
    buildtimestamp: 2023-08-28 05:38:05.924911125 +0000 UTC m=+732.268394459
    labels:
      BDEPEND: '>=virtual/rust-1.66.0 >=virtual/rust-1.37.0'
      IUSE: debug
      RDEPEND: sys-libs/zlib dev-libs/openssl:0= net-libs/libssh2 net-misc/curl[ssl]
      emerge.packages: dev-util/cargo-c
      kit: dev-kit
      original.package.name: dev-util/cargo-c
      original.package.slot: "0"
      original.package.version: 0.9.22
    treedir: /build/packages
  package_dir: /pkgdir/cargo-c
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bd10050786ee639d39cb9839d6cb72b5895bff9195cb214e2b098be0c1103497
compressiontype: zstd
files:
- usr/bin/cargo-capi
- usr/bin/cargo-cbuild
- usr/bin/cargo-cinstall
- usr/bin/cargo-ctest
- var/db/pkg/dev-util/cargo-c-0.9.22/BDEPEND
- var/db/pkg/dev-util/cargo-c-0.9.22/BUILD_TIME
- var/db/pkg/dev-util/cargo-c-0.9.22/CATEGORY
- var/db/pkg/dev-util/cargo-c-0.9.22/CBUILD
- var/db/pkg/dev-util/cargo-c-0.9.22/CC
- var/db/pkg/dev-util/cargo-c-0.9.22/CFLAGS
- var/db/pkg/dev-util/cargo-c-0.9.22/CHOST
- var/db/pkg/dev-util/cargo-c-0.9.22/CONTENTS
- var/db/pkg/dev-util/cargo-c-0.9.22/COUNTER
- var/db/pkg/dev-util/cargo-c-0.9.22/CXXFLAGS
- var/db/pkg/dev-util/cargo-c-0.9.22/DEFINED_PHASES
- var/db/pkg/dev-util/cargo-c-0.9.22/DESCRIPTION
- var/db/pkg/dev-util/cargo-c-0.9.22/EAPI
- var/db/pkg/dev-util/cargo-c-0.9.22/FEATURES
- var/db/pkg/dev-util/cargo-c-0.9.22/HOMEPAGE
- var/db/pkg/dev-util/cargo-c-0.9.22/INHERITED
- var/db/pkg/dev-util/cargo-c-0.9.22/IUSE
- var/db/pkg/dev-util/cargo-c-0.9.22/IUSE_EFFECTIVE
- var/db/pkg/dev-util/cargo-c-0.9.22/KEYWORDS
- var/db/pkg/dev-util/cargo-c-0.9.22/LDFLAGS
- var/db/pkg/dev-util/cargo-c-0.9.22/LICENSE
- var/db/pkg/dev-util/cargo-c-0.9.22/NEEDED
- var/db/pkg/dev-util/cargo-c-0.9.22/PF
- var/db/pkg/dev-util/cargo-c-0.9.22/RDEPEND
- var/db/pkg/dev-util/cargo-c-0.9.22/REQUIRES
- var/db/pkg/dev-util/cargo-c-0.9.22/SIZE
- var/db/pkg/dev-util/cargo-c-0.9.22/SLOT
- var/db/pkg/dev-util/cargo-c-0.9.22/USE
- var/db/pkg/dev-util/cargo-c-0.9.22/cargo-c-0.9.22.ebuild
- var/db/pkg/dev-util/cargo-c-0.9.22/environment.bz2
- var/db/pkg/dev-util/cargo-c-0.9.22/repository
package_cacheimage: ""
runtime:
  name: cargo-c
  version: 0.9.22
  category: dev-util
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: libssh2
    version: '>=0'
    category: net-libs
  - name: curl
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Cargo applet to build and install C-ABI compatible dynamic and static
    libraries
  uri:
  - https://github.com/lu-zero/cargo-c
  license: Apache-2.0 Boost-1.0 BSD BSD-2 CC0-1.0 ISC LGPL-3+ MIT Apache-2.0 Unlicense
    ZLIB
  labels:
    BDEPEND: '>=virtual/rust-1.66.0 >=virtual/rust-1.37.0'
    IUSE: debug
    RDEPEND: sys-libs/zlib dev-libs/openssl:0= net-libs/libssh2 net-misc/curl[ssl]
    emerge.packages: dev-util/cargo-c
    kit: dev-kit
    original.package.name: dev-util/cargo-c
    original.package.slot: "0"
    original.package.version: 0.9.22
